mod parser;
mod syntax;

use crate::parser::ExpParser;

fn main() {
    use std::io;
    let lines = io::stdin().lines();
    for line in lines {
        match ExpParser::new().parse(&line.unwrap()) {
            Ok(exp) => println!("Successful parse: {:?}", exp),
            Err(err) => println!("Parse error: {:?}", err),
        }
    }
}
